import request from "@/utils/request";

// 登录方法
export function login(username, password, code, uuid) {
  const data = {
    username,
    password,
    code,
    uuid,
  };
  return request({
    url: "/login",
    headers: {
      isToken: false,
    },
    method: "post",
    data: data,
  });
}

export function login2(ticket) {
  return request({
    url: "/sapSsoLogin/" + ticket,
    headers: {
      isToken: false,
      "TENANT-ID": "1",
      Authorization: "Basic cGlnOnBpZw==",
    },
    method: "post",
    params: {},
    data: "",
  });
}

// 注册方法
export function register(data) {
  return request({
    url: "/register",
    headers: {
      isToken: false,
    },
    method: "post",
    data: data,
  });
}

// 获取用户详细信息
export function getInfo() {
  return request({
    url: "/getInfo",
    method: "get",
  });
}

// 退出方法
export function logout() {
  return request({
    url: "/logout",
    method: "post",
  });
}

// 获取验证码
export function getCodeImg() {
  return request({
    url: "/captchaImage",
    headers: {
      isToken: false,
    },
    method: "get",
    timeout: 20000,
  });
}

// 获取key
export function getPublicKey() {
  return request({
    url: "/getPublicKey",
    method: "get",
  });
}
// 获取消息
export function getWitta() {
  return request({
    url: "/adsMatHyxtTaskD/taskNum",
    method: "get",
  });
}
