import request from '@/utils/request'

// 查询部门列表
export function listDept(query) {
  return request({
    url: '/system/dept/list',
    method: 'get',
    params: query
  })
}

// 查询部门列表（排除节点）
export function listDeptExcludeChild(deptId) {
  return request({
    url: '/system/dept/list/exclude/' + deptId,
    method: 'get'
  })
}

// 查询部门详细
export function getDept(deptId) {
  return request({
    url: '/system/dept/' + deptId,
    method: 'get'
  })
}

// 新增部门
export function addDept(data) {
  return request({
    url: '/system/dept',
    method: 'post',
    data: data
  })
}

// 修改部门
export function updateDept(data) {
  return request({
    url: '/system/dept',
    method: 'put',
    data: data
  })
}

// 删除部门
export function delDept(deptId) {
  return request({
    url: '/system/dept/' + deptId,
    method: 'delete'
  })
}
//已办任务表数据
export function finishPage(deptId,data) {
  return request({
    url: `/adsMatHyxtTaskD/finishPage?pageNo=${data.pageNo}&pageSize=${data.pageSize}`,
    method: 'post',
    data:deptId
  })
}
//代办任务表数据
export function todoPage(deptId,data) {
  return request({
    url: `/adsMatHyxtTaskD/todoPage?pageNo=${data.pageNo}&pageSize=${data.pageSize}`,
    method: 'post',
    data:deptId
  })
}

//开票申请
export function applyPage(deptId,data) {
  return request({
    url: `/adsMatHyxtInvoiceD/applyPage?pageNo=${data.pageNo}&pageSize=${data.pageSize}`,
    method: 'post',
    data:deptId
  })
}
